Package org.drinkless.tdlib

# Class TdApi.ConnectedAffiliateProgram

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ConnectedAffiliateProgram

Enclosing class:
  `TdApi`

public static class TdApi.ConnectedAffiliateProgram extends TdApi.Object
Describes an affiliate program that was connected to an affiliate.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the bot created the program.
  `int`
  `connectionDate`
  Point in time (Unix timestamp) when the affiliate program was connected.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isDisconnected`
  True, if the program was canceled by the bot, or disconnected by the chat owner and isn't available anymore.
  `TdApi.AffiliateProgramParameters`
  `parameters`
  The parameters of the affiliate program.
  `long`
  `revenueStarCount`
  The number of Telegram Stars that were earned by the affiliate program.
  `String`
  `url`
  The link that can be used to refer users if the program is still active.
  `long`
  `userCount`
  The number of users that used the affiliate program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectedAffiliateProgram()`
  Describes an affiliate program that was connected to an affiliate.
  `ConnectedAffiliateProgram(String url, long botUserId, TdApi.AffiliateProgramParameters parameters, int connectionDate, boolean isDisconnected, long userCount, long revenueStarCount)`
  Describes an affiliate program that was connected to an affiliate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    The link that can be used to refer users if the program is still active.

  - ### botUserId

    public long botUserId
    User identifier of the bot created the program.

  - ### parameters

    public TdApi.AffiliateProgramParameters parameters
    The parameters of the affiliate program.

  - ### connectionDate

    public int connectionDate
    Point in time (Unix timestamp) when the affiliate program was connected.

  - ### isDisconnected

    public boolean isDisconnected
    True, if the program was canceled by the bot, or disconnected by the chat owner and isn't available anymore.

  - ### userCount

    public long userCount
    The number of users that used the affiliate program.

  - ### revenueStarCount

    public long revenueStarCount
    The number of Telegram Stars that were earned by the affiliate program.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectedAffiliateProgram

    public ConnectedAffiliateProgram()
    Describes an affiliate program that was connected to an affiliate.

  - ### ConnectedAffiliateProgram

    public ConnectedAffiliateProgram(String url, long botUserId, TdApi.AffiliateProgramParameters parameters, int connectionDate, boolean isDisconnected, long userCount, long revenueStarCount)
    Describes an affiliate program that was connected to an affiliate.
    Parameters:
      `url` - The link that can be used to refer users if the program is still active.
      `botUserId` - User identifier of the bot created the program.
      `parameters` - The parameters of the affiliate program.
      `connectionDate` - Point in time (Unix timestamp) when the affiliate program was connected.
      `isDisconnected` - True, if the program was canceled by the bot, or disconnected by the chat owner and isn't available anymore.
      `userCount` - The number of users that used the affiliate program.
      `revenueStarCount` - The number of Telegram Stars that were earned by the affiliate program.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR